#pragma once

class CFlyingCamera
{
private:
	mat4x4 *ViewMatrix;
	POINT pCur;

public:
	vec3 vEye, vView, vUp;
	float fSpeed;
	float fSensitivity;

public:
	CFlyingCamera();
	CFlyingCamera(vec3 a_vEye, vec3 a_vView, vec3 a_vUp, float a_fSpeed, float a_fSensitivity);

	void rotateWithMouse(int cx, int cy);
	void update();
	void look();
	float getAngleX();
	void SetViewMatrixPointer(mat4x4 *ViewMatrix);
};

extern CFlyingCamera fcMain;
